PropertyListGeneratorTask (Gradle API 9.6.1)
Description: declaration: package: org.gradle.plugins.ide.api, class: PropertyListGeneratorTask

Package org.gradle.plugins.ide.api

# Class PropertyListGeneratorTask<T extends org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject>

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<T>
org.gradle.plugins.ide.api.PropertyListGeneratorTask<T>

Type Parameters:
  `T` - The domain object type.

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

Direct Known Subclasses:
  `GenerateWorkspaceSettingsFileTask`, `GenerateXcodeProjectFileTask`

@Incubating @DisableCachingByDefault(because="Abstract super-class, not to be instantiated directly") public abstract class PropertyListGeneratorTask<T extends org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject> extends GeneratorTask<T>
A convenience superclass for those tasks which generate Property List configuration files from a domain object of type T.

Since:
  4.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyListGeneratorTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `configure(T object)`
  `protected abstract T`
  `create()`
  `org.gradle.api.internal.PropertyListTransformer`
  `getPropertyListTransformer()`

  ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `generate, getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### PropertyListGeneratorTask

    public PropertyListGeneratorTask()

- ## Method Details

  - ### getPropertyListTransformer

    @Internal public org.gradle.api.internal.PropertyListTransformer getPropertyListTransformer()

  - ### configure

    protected abstract void configure(T object)

  - ### create

    protected abstract T create()